Re: [LAU] Fwd: Cannot compile Yoshimi

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
To: Jeremy <jeremy@...>, Louigi Verona <louigi.verona@...>
Cc: <linux-audio-user@...>
Date: Thursday, May 6, 2010 - 4:29 pm

--0-1529971078-1273163341=:566
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

you may need libfluidsynth-dev

--- On Thu, 5/6/10, Louigi Verona wrote:

From: Louigi Verona
Subject: Re: [LAU] Fwd: Cannot compile Yoshimi
To: "Jeremy"
Cc: linux-audio-user@lists.linuxaudio.org
Date: Thursday, May 6, 2010, 11:31 AM

I know of fluid as a FLTK designer. But, as Gabriel said, I'd like to ask "=
which fluid"?

In Synaptic there are none that seem relevant and even those I tried instal=
ling but no luck.

=0AOn Thu, May 6, 2010 at 7:01 PM, Jeremy wrote:
=0AOn 05/06/2010 04:56 PM, Louigi Verona wrote:
=0A> hey guys!
=0A>
=0A> I am using Ubuntu 9.04. got yoshimi 0.056 source code.
=0A>
=0A> During ccmake .
=0A> I get this:
=0A>
=0A> =A0 =A0 | FLTK_BASE_LIBRARY =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0FLTK_BASE_L=
IBRARY-NOTFOUND
=0A>
=0A> =A0 =A0 FLTK_CONFIG_SCRIPT =A0 =A0 =A0 =A0 =A0 =A0 =A0 FLTK_CONFIG_SCR=
IPT-NOTFOUND
=0A>
=0A> =A0 =A0 FLTK_FORMS_LIBRARY =A0 =A0 =A0 =A0 =A0 =A0 =A0 FLTK_FORMS_LIBR=
ARY-NOTFOUND
=0A>
=0A> =A0 =A0 FLTK_GL_LIBRARY =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0FLTK_GL_LIB=
RARY-NOTFOUND
=0A>
=0A> =A0 =A0 FLTK_IMAGES_LIBRARY =A0 =A0 =A0 =A0 =A0 =A0 =A0FLTK_IMAGES_LIB=
RARY-NOTFOUND
=0A>
=0A> =A0 =A0 FLTK_INCLUDE_DIR =A0 =A0 =A0 =A0 =A0 =A0 =A0 =A0 FLTK_INCLUDE_=
DIR-NOTFOUND =A0 |
=0A>
=0A>
=0A>
=0A>
=0A> fltk dev files are installed but it doesn't seem to help.
=0A>
=0A> During make I get this:
=0A> |-- Building Yoshimi version 0.056 for Linux without debug information
=0A> -- Build flags: -O3 -march=3Dnative -msse -msse2 -mfpmath=3Dsse -ffast=
-math
=0A> -fomit-frame-pointer
=0A> -- Found pkg-config /usr/bin/pkg-config
=0A> -- Found libz
=0A> -- Found fontconfig 2.6.0
=0A> -- Found fltk
=0A> -- Found fftw3 3.1.2
=0A> -- Found mxml 2.5
=0A> -- Found Alsa 1.0.18
=0A> -- Found jack 1.9.5
=0A> -- Found libsndfile 1.0.17
=0A> -- Default audio driver is Jack
=0A> -- Default midi driver is Jack
=0A> -- Configuring done
=0A> -- Generating done
=0A> -- Build files have been written to: /home/alferov/Desktop/yoshimi-0.0=
56/src
=0A> alferov@alferov-laptop:~/Desktop/yoshimi-0.056/src$ make
=0A> make[2]: *** No rule to make target `FLTK_FLUID_EXECUTABLE-NOTFOUND',
=0A> needed by `ConsoleUI.h'. =A0Stop.
=0A> make[1]: *** [CMakeFiles/yoshimi.dir/all] Error 2
=0A> make: *** [all] Error 2
=0A>
=0A>
=0A>
=0A> |What am I doing wrong?
=0A>
=0A> Louigi Verona.
=0A>
=0A>
=0A>
=0A> _______________________________________________
=0A> Linux-audio-user mailing list
=0A> Linux-audio-user@lists.linuxaudio.org
=0A> http://lists.linuxaudio.org/listinfo/linux-audio-user
=0A
=0AHello Louigi,
=0A
=0ADid you install the fluid package itself already?

=0A=0A=0A=0A
--0-1529971078-1273163341=:566
Content-Type: text/html; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

you may need libfluidsynth-dev--- On =
Thu, 5/6/10, Louigi Verona <louigi.verona@gmail.com> wr=
ote:From: Louigi Verona <louigi.verona@=
gmail.com>Subject: Re: [LAU] Fwd: Cannot compile YoshimiTo: "Jer=
emy" <jeremy@autostatic.com>Cc: linux-audio-user@lists.linuxaudio=
.orgDate: Thursday, May 6, 2010, 11:31 AMI know of fluid as a FLTK designer. But, as Gabriel said, I'd like to as=
k "which fluid"?In Synaptic there are none that seem relevant and e=
ven those I tried installing but no luck.=0AOn Thu, May 6, 2010 at 7:01 PM, Jeremy <jeremy@autostatic.com> wrote:=
=0AOn 05/06/2010 04:56 PM, Louigi Verona =
wrote:=0A> hey guys!=0A>=0A> I am using Ubuntu 9.04. g=
ot yoshimi 0.056 source code.=0A>=0A> During ccmake .=0A&=
gt; I get this:=0A>=0A>     | FLTK_BASE_LIBRARY &nb=
sp;              FLTK_BASE_LIBRARY-NOTFO=
UND=0A>=0A>     FLTK_CONFIG_SCRIPT     &n=
bsp;         FLTK_CONFIG_SCRIPT-NOTFOUND=0A>=
=0A>     FLTK_FORMS_LIBRARY          =
    FLTK_FORMS_LIBRARY-NOTFOUND=0A>=0A>   &nb=
sp; FLTK_GL_LIBRARY                =
 FLTK_GL_LIBRARY-NOTFOUND=0A>=0A>     FLTK_IM=
AGES_LIBRARY              FLTK_IMAGES_LI=
BRARY-NOTFOUND=0A>=0A>     FLTK_INCLUDE_DIR   =
              FLTK_INCLUDE_DIR-NOTFOUND =
  |=0A>=0A>=0A>=0A>=0A> fltk dev fi=
les are installed but it doesn't seem to help.=0A>=0A> During=
make I get this:=0A> |-- Building Yoshimi version 0.056 for Linux w=
ithout debug information=0A> -- Build flags: -O3 -march=3Dnative -ms=
se -msse2 -mfpmath=3Dsse -ffast-math=0A> -fomit-frame-pointer=0A=

=0A> -- Found fontconfig 2.6.0=0A> -- Found fltk=0A> -- Fo=
und fftw3 3.1.2=0A> -- Found mxml 2.5=0A> -- Found Alsa 1.0.1=
8=0A> -- Found jack 1.9.5=0A> -- Found libsndfile 1.0.17=
=0A> -- Default audio driver is Jack=0A> -- Default midi driver i=
s Jack=0A> -- Configuring done=0A> -- Generating done=0A&=
gt; -- Build files have been written to: /home/alferov/Desktop/yoshimi-0.05=
6/src=0A> alferov@alferov-laptop:~/Desktop/yoshimi-0.056/src$ make=0A> make[2]: *** No rule to make target `FLTK_FLUID_EXECUTABLE-NOTFOU=
ND',=0A> needed by `ConsoleUI.h'.  Stop.=0A> make[1]: **=
* [CMakeFiles/yoshimi.dir/all] Error 2=0A> make: *** [all] Error 2=0A>=0A>=0A>=0A> |What am I doing wrong?=0A&g=
t;=0A> Louigi Verona.=0A>=0A>=0A>=0A<=
/div>> _______________________________________________=0A> Linux-=
audio-user mailing list=0A> Linux-audio-user@lists.linuxaud=
io.org
=0A> http://lists.linuxaudio.org=
/listinfo/linux-audio-user
=0A=0AHello Louigi,=0A=0ADid =
you install the fluid package itself already?=0A=0A=0A=0A=0A=0A=0A=0A=0A
--0-1529971078-1273163341=:566--

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

Messages in current thread:
[LAU] Fwd: Cannot compile Yoshimi, Louigi Verona, (Thu May 6, 2:56 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, Jeremy, (Thu May 6, 3:01 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, Louigi Verona, (Thu May 6, 3:31 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, James Warden, (Thu May 6, 4:29 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, Louigi Verona, (Thu May 6, 5:34 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, Jeremy, (Thu May 6, 6:17 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, Louigi Verona, (Fri May 7, 1:45 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, Jeremy, (Fri May 7, 5:41 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, Gabriel M. Beddingfield, (Thu May 6, 3:41 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, Louigi Verona, (Thu May 6, 5:32 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, Gabriel M. Beddingfield, (Thu May 6, 6:19 pm)
Re: [LAU] Fwd: Cannot compile Yoshimi, Gabriel M. Beddingfield, (Thu May 6, 3:01 pm)